## pybeam 0.7

=== requirements.txt ===
construct>=2.9,<2.11
six
sphinx

=== debian/changelog ===
pybeam (0.7-2) unstable; urgency=medium

  * Source-only upload. 

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Dec 2021 09:13:13 -0500

pybeam (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #998796)
  * debian/copyright: Update information for
    pybeam/schema/beam/chunks.py.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Dec 2021 14:42:17 -0500

=== debian/control ===
Source: pybeam
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-construct,
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/matwey/pybeam
Vcs-Browser: https://salsa.debian.org/python-team/packages/pybeam
Vcs-Git: https://salsa.debian.org/python-team/packages/pybeam.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pybeam
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python module to parse Erlang BEAM files
 This library provides functionality to parse Erlang BEAM files.
 .
 This package contains the Python 3 version of the library.

## pybeam 0.8

=== debian/changelog ===
pybeam (0.8-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093658)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 18:51:19 -0500

pybeam (0.8-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.8
  * Update build-depends:
    - python3-six
    + pybuild-plugin-pyproject
    + python3-pytest

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Boyuan Yang ]
  * Update standards version to 4.7.0, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 Aug 2024 14:47:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
  python3-construct,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
- python3-sphinx,
-Standards-Version: 4.6.0
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://github.com/matwey/pybeam
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pybeam
 Vcs-Git: https://salsa.debian.org/python-team/packages/pybeam.git

## pybeam 0.8.1

=== debian/changelog ===
pybeam (0.8.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Aug 2025 12:26:19 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/matwey/pybeam
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pybeam
 Vcs-Git: https://salsa.debian.org/python-team/packages/pybeam.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pybeam

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/matwey/pybeam/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
